﻿backlogManageModule.directive('backlogConfig', ['$log', 'browserService', '$translate', 'region', '$timeout',
    function ($log, browserService, $translate, region, $timeout) {
        $log.debug('backlogConfig.ctor()...');

        return {
            restrict: 'E',
            templateUrl: 'app/backlogManage/backlog-config/backlog-config.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'backlogConfigController',
            link: function ($scope, element) {
                $('.main-contents')[0].style.width = "260px";
                $('.data-import-contents')[0].style.display = "block";
                $('.main-contents')[0].style.float = "left";
                $('.main-contents')[0].style.styleFloat = "left";
                $('.main-contents')[0].style.cssFloat = "left";
            }
        }
    }
]);

backlogManageModule.directive('numberFormat', ['$filter','$parse',function ($filter,$parse) {
    return {
        restrict: 'A',
        require: 'ngModel',
        scope: {
            decimal: '@?'
        },
        link: function (scope, elm, attrs, ctrl) {
            function formatter(value) {
                if (!value) {
                    return '';
                }
                value = value.replace(/,/g,'');
                value = Number(value).formatAmount(2);
                $(elm).val(value);
                return value;
            }
            ctrl.$parsers.unshift(formatter);
        }
    }
}]);